building .mxf standalone on osx


    Mar 05 2007 | 6:41 pm
    seem to be having problems building collectives... the jitter manual it states:
    Copy the file /Applications/MaxMSP 4.5/jitlib to {Package}/Contents/MacOS/jitlib
    but i'm using maxmsp 4.6 and jitter 1.63b2, and i cant find a file called jitlib in the maxmsp folder???
    i have attached a pict of the error messages i get whilst loading with maxmspruntime on another machine (which doesnt have maxmsp authorised on it).
    any help appreciated,
    justin

    • Mar 05 2007 | 6:48 pm
      On 5 mars 07, at 18:41, justin wrote:
      > seem to be having problems building collectives... the jitter > manual it states: > > Copy the file /Applications/MaxMSP 4.5/jitlib to {Package}/Contents/ > MacOS/jitlib > > but i'm using maxmsp 4.6 and jitter 1.63b2, and i cant find a file > called jitlib in the maxmsp folder???
      under 4.6, there's no need to copy jitlib anymore. It's automatically copied (it's located in yourApplication.app/Contents/Frameworks/ JitterAPI.framework).
      ej
    • Mar 05 2007 | 6:58 pm
      Quote: Emmanuel Jourdan wrote on Mon, 05 March 2007 18:48 ---------------------------------------------------- > under 4.6, there's no need to copy jitlib anymore. It's automatically > copied (it's located in yourApplication.app/Contents/Frameworks/ > JitterAPI.framework). > > ej > ----------------------------------------------------
      hmmm. something isnt right then! if you check the image i attached in the previous msg, i am getting loads of error messages in the max window...
      what's weird is the machine i am using to test these collectives was running max in demo mode, then the demo ran out... and since it doesnt want to load the collectives?
      thanks. j
    • Mar 05 2007 | 7:09 pm
    • Mar 05 2007 | 8:02 pm
      ok, so ur building as an application...
      i was building as a collective (nu format). still dont think i should be getting these error msg?!
      am testing as an application now, will let u know how it goes.
    • Mar 05 2007 | 8:08 pm
      ok built as an application, but am still getting a couple of errors:
      cant find preferred audio driver
      cant find jitter shaders
      i'm not bothered about the shaders, but i might need the audio driver to work later on (for lfo's).... (?)
      thanks,
      j
    • Mar 05 2007 | 8:22 pm
      On 5 mars 07, at 20:08, justin wrote:
      > cant find preferred audio driver
      You should probably add something to allow you to change the audio driver in your application. You can use the "; dsp open" message to open the DSP Status window (which is now automatically included).
      > cant find jitter shaders
      You need to add them manually inside your package if you want to use them.
      ej
    • Mar 05 2007 | 11:27 pm
      many thanks that explains it!
      j